Subject: Re: [PATCH next-next 2/7] gre: Move utility functions to common headers

From: Jiri Benc <[email-masked]>
Date: Tue, 3 May 2016 13:29:44 +0200

On Fri, 29 Apr 2016 17:12:16 -0700, Tom Herbert wrote:
>   - iptunnel_pull_header is taken out of gre_parse_header. This is now
>     done by caller. The header length is returned from gre_parse_header
>     in an int* argument.

Seems we conflicted here, I've done the same for net.git to fix ICMP
path. I made parse_gre_header return the length instead of adding the
parameter, as it's easier consumed that way (no need for an extra local
variable in gre_err).

How do we resolve the conflict between net and net-next? I'd prefer
gre_parse_header to return the header length. I can submit a patch for
net-next that does this; that would substantially ease the merge.

 Jiri